%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:       nodejs-findup-sync
Version:    0.3.0
Release:    1%{?dist}
Summary:    Find the first file matching a given pattern
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/cowboy/node-findup-sync
Source0:    http://registry.npmjs.org/findup-sync/-/findup-sync-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:        tests-%{version}.tar.bz2
Source10:       dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(grunt-cli)
BuildRequires:  npm(grunt-contrib-nodeunit)
BuildRequires:  npm(lodash)
%endif

%description
Find the first file matching a given pattern in the current directory or
the nearest ancestor directory.


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/findup-sync
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/findup-sync

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/nodeunit/bin/nodeunit test/
%endif


%files
%doc LICENSE-MIT README.md
%{nodejs_sitelib}/findup-sync


%changelog
* Tue Oct 20 2015 Jared Smith <jsmith@fedoraproject.org> - 0.3.0-1
- Update to upstream 0.3.0 release

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Mar 30 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.3.1
- update to upstream release 0.1.3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.2-1
- initial package
